package impl

import (
	"ai_scheduler/internal/data/model"
	"ai_scheduler/tmpl/dataTemp"
	"ai_scheduler/utils"
)

type BotGroupConfigImpl struct {
	dataTemp.DataTemp
}

func NewBotGroupConfigImpl(db *utils.Db) *BotGroupConfigImpl {
	return &BotGroupConfigImpl{
		DataTemp: *dataTemp.NewDataTemp(db, new(model.AiBotGroupConfig)),
	}
}
